Linux服务器快速安装SG11扩展满足网站主题加密需求

免费VPS有看到网友购买的某款WordPress主题是域名授权和加密的,需要满足当前的服务器环境安装SG11扩展,SG11是php代码混淆加密一款组件,一般服务器配置环境中是没有安装的,因为大部分时候是用不到的。于是我们需要自己手动安装。在部分WEB环境中我们可以快速的用脚本工具启动安装,其实就是下载组件到对应目录然后在php.ini中修改配置即可。

在这篇文章中,免费VPS看到这个网友是使用的宝塔面板,目前这款面板后台商店中是自带快速安装的,所以对于当前这个网友的需求是很好的满足。这里免费VPS(虚拟服务器)帮助他安装且记录下来。

Linux服务器快速安装SG11扩展满足网站主题加密需求

看到这个同学当前有用到两个PHP运行,所以要先看下他当前要使用这款主题的网站是哪个PHP版本,看到他是PHP7.1,于是就要到对应PHP版本设置完成扩展的安装。

Linux服务器快速安装SG11扩展满足网站主题加密需求

完毕之后免费VPS检测到安装的那款加密主题是没有报错。这样可以顺利帮助这个同学解决问题。但是这里需要有一个问题,如果我们不是安装的宝塔面板,如果是其他WEB安装包如何解决SG11的安装呢?其实思路是一样的,我们可以将对应的扩展文件(我们自己去寻找),丢到对应的PHP扩展目录。

/www/server/php/71/lib/php/extensions/

然后在PHP.INI文件中引用即可。

Linux服务器安装SG11

这样,我们是不是可以解决SG11扩展的问题。

本文来自网络各大VPS服务器厂商及VPS测评推荐博客,不代表虚拟服务器 立场,转载请注明出处:https://www.xnfwq.com/zhishi/1019.html

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

返回顶部